"""
This module provides a unified interface for colorization and theming in Python.
It includes classes and functions for creating colorized text,
applying themes, and handling data structures.
"""

from .colordoll import (
    AnsiColor,
    ColorConfig,
    Colorizer,
    darktheme,
    lighttheme,
    minimalisttheme,
    vibranttheme,
    black,
    white,
    red,
    green,
    yellow,
    blue,
    magenta,
    cyan,
    bright_black,
    bright_white,
    bright_red,
    bright_green,
    bright_yellow,
    bright_blue,
    bright_magenta,
    bright_cyan,
    dark_theme_colors,
    light_theme_colors,
    YamlHandler,
    DataHandler,
)

__all__ = [
    "AnsiColor",
    "ColorConfig",
    "Colorizer",
    "darktheme",
    "lighttheme",
    "minimalisttheme",
    "vibranttheme",
    "black",
    "white",
    "red",
    "green",
    "yellow",
    "blue",
    "magenta",
    "cyan",
    "bright_black",
    "bright_white",
    "bright_red",
    "bright_green",
    "bright_yellow",
    "bright_blue",
    "bright_magenta",
    "bright_cyan",
    "dark_theme_colors",
    "light_theme_colors",
    "YamlHandler",
    "DataHandler",
]
